## bip utils-2.0.2

=== requirements.txt ===
coincurve>=15.0.1,<16.0.0
crcmod~=1.7
ecdsa~=0.14
ed25519-blake2b~=1.4
pycryptodome~=3.6
pynacl~=1.1
py-sr25519-bindings>=0.1.3,<2.0.0
scalecodec~=1.0
six>=1.12.0

## bip 0.8.6

=== debian/changelog ===
bip (0.8.6-2) unstable; urgency=low

  * New maintainer (with Nohar's blessing).
  * Add armel.patch: fix build errors on armel (Closes: #597262). 

 -- Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>  Wed, 22 Sep 2010 11:15:15 +0200

bip (0.8.6-1) unstable; urgency=low

  * New upstream release (Closes: #595409).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 12 Sep 2010 17:58:22 +0100

bip (0.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #592063).
  * Bump standards version, no change needed.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 07 Aug 2010 12:29:33 +0100

bip (0.8.4-1) unstable; urgency=low

  [ Pierre-Louis Bonicoli ]
  * New upstream release (Closes: #578929).
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix watch format
  * Bump standards version, no change needed.
  * Remove Build-Depends quilt
  * simplify debian/rules moving some part of debian/rules to
    debian/{clean,dirs,install}
  * Switch to dpkg-source 3.0 (quilt) format

  [ Arnaud Cornet ]
  * Move debian/install to debian/bip.install
  * Delete /var/lib/bip on purge.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 06 Aug 2010 20:53:08 +0100

bip (0.8.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #542291).
  * Fix debhelper 7 dependency version.
  * Add README.source
  * Bump standards-version, no change needed.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 24 Aug 2009 19:20:53 +0200

bip (0.8.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #534187).
  * Fix README.Debian: use the cleartext of the password to connect, the hash
    is in conf only.
  * Bump standards version, no change needed.
  * Switch to debhelper 7, remove cdbs build dep.
  * Add debian/bip.docs

 -- Arnaud Cornet <acornet@debian.org>  Fri, 17 Jul 2009 12:39:36 +0200

bip (0.8.0-1) unstable; urgency=low

  * New Upstream Version

 -- Arnaud Cornet <acornet@debian.org>  Mon, 02 Mar 2009 13:06:20 +0100

bip (0.8.0~rc1-1) unstable; urgency=low

  * New Upstream Version.
  * Drop bip-fix-privmsg.patch now upstream.
  * Add status action in initscript (Closes: #492126).

 -- Arnaud Cornet <acornet@debian.org>  Mon, 16 Feb 2009 10:29:18 +0100

bip (0.7.4-2) unstable; urgency=low

  * Add bip-fix-privmsg.patch (Closes: #503253).

 -- Arnaud Cornet <acornet@debian.org>  Fri, 24 Oct 2008 08:55:11 +0200

bip (0.7.4-1) unstable; urgency=low

  * New Upstream Version
  * Drop bip.conf.man.fix.diff, now upstream.
  * Bump standards version to 3.8.0 (no change needed).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 29 Jun 2008 10:05:35 +0200

bip (0.7.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #473999).

 -- Arnaud Cornet <acornet@debian.org>  Wed, 02 Apr 2008 23:57:39 +0200

bip (0.7.0-1) unstable; urgency=low

  * New Upstream Version
  * Fix new upstream homepage (Closes: #444209).
  * Remove bip user/group on purge.
  * Add bipgenconfig script. This and the updated upstream README
    explain how to generate a SSL certificate for bip (Closes: #457610,
    #457602).
  * Move bip.conf man page in correct section (Closes: #461871).
  * Bump standards version (no change needed).
  * Change debian/copyright to UTF-8.
  * Fix copyright line to cope with lintian.
  * Use quilt, add a patch to fix a man warning in bip.conf.5.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 16 Feb 2008 11:43:32 +0100

bip (0.6.1-2) unstable; urgency=low

  * Drop .examples as they are installed by make install.
  * Fix indent in init script.
  * Add a sleep in init script for a safer restart.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 17 Sep 2007 21:15:52 +0200

bip (0.6.1-1) unstable; urgency=low

  * New Upstream Version.
  * Change my mail address.

 -- Arnaud Cornet <acornet@debian.org>  Sun, 19 Aug 2007 18:55:55 +0200

bip (0.6.0-2) unstable; urgency=low

  * Cleanup sample conf file.
  * Indent init script.
  * Remove pidfile check from init script because start-stop-daemon does
    it already.
  * Add --no-start to dh_installinit, to avoid breaking upgrades
    (Closes: #427426).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon, 04 Jun 2007 19:51:45 +0200

bip (0.6.0-1) unstable; urgency=low

  * Fix typo (Closes: 416074).
  * Fix some output of the init script (Closes: 416075).
  * Remove useless call to update-rc.d (Closes: 416073).
  * New upstream release (Closes: 412888, 390716).
  * Remove patches/bip_home_arg.diff and patches/ssl_cert_path.diff gone
    upstream.
  * Add a README.Debian (Closes: 418633).
  * Sanitize clean rule.
  * Fix watchfile to use .gz files.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Tue, 01 May 2007 12:40:23 +0200

bip (0.5.3-4) unstable; urgency=high

  * Set proper permissions in postinst (Closes: #415855).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Fri, 23 Mar 2007 00:53:01 +0100

bip (0.5.3-3) unstable; urgency=low

  * Add --enable-oidentd to configure.
  * Create /var/run/bip at daemon start time (Closes: #385791).
  * Update init script and depend on lsb-base (>= 3.0-6).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sat,  9 Sep 2006 11:58:19 +0200

bip (0.5.3-2) unstable; urgency=medium

  * Fix extremely lame bug in init script.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Tue, 25 Jul 2006 21:17:22 +0200

bip (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Add a watchfile (Closes: #357851).
  * Add bip_home_arg.diff, allows to specify a home for bip on the
    command line. Allows much nicer init script.
  * ssl_cert_path.diff, allows to specify a directory for ssl certificate path
    Allows much nicer init script too.
  * Add ${misc:Depends}.
  * Bump standards version.
  * Compat is now 5.
  * Don't start/restart bip on install/upgrade.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Tue, 11 Jul 2006 00:22:00 +0200

bip (0.5.2-2) unstable; urgency=low

  * Added init.d file (Closes: #357855).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sat,  1 Apr 2006 19:13:33 +0200

bip (0.5.2-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: bip
Section: net
Priority: optional
Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>
Uploaders: Arnaud Cornet <acornet@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), bison, flex, libssl-dev
Homepage: http://bip.t1r.net

Package: bip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
Description: multiuser irc proxy with conversation replay and more
 Bip is a IRC proxy that supports replaying logged conversation when a client
 connects, multiple clients on one irc server connection, It has a handy
 logging directory structure. It is multiuser, and has a flexible
 configuration. Some of its configuration can be changed at runtime with
 special irc commands.

## bip 0.8.8

=== debian/changelog ===
bip (0.8.8-2ubuntu0.12.10.1) quantal-security; urgency=low

  * SECURITY UPDATE: Failed SSL handshake causes bip to write to a random
    socket, and never close the connection. (LP: #1247888)
    - debian/patches/sslfailurefdleak.patch: properly close connection in
      src/connection.c.
    - CVE number pending

 -- Dave Chiluk <chiluk@canonical.com>  Fri, 08 Nov 2013 11:06:30 -0600

bip (0.8.8-2) unstable; urgency=high

  * Fix CVE-2012-0806: buffer overflow.
    Thanks to Julien Tinnes for reporting it. 

 -- Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>  Mon, 23 Jan 2012 21:14:41 +0100

bip (0.8.8-1) unstable; urgency=low

  * New upstream release.

 -- Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>  Tue, 12 Apr 2011 18:18:32 +0200

bip (0.8.7-1) unstable; urgency=low

  * New upstream release which fix DOS.
  * Drop armel.patch, now upstream.

 -- Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>  Sat, 15 Jan 2011 17:41:30 +0100

=== debian/watch ===
version=3
http://bip.t1r.net/downloads/ .*bip-([0-9]+\.[0-9]+\.[0-9]+).tar.gz

## bip 0.8.9

=== debian/changelog ===
bip (0.8.9-1.2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:40 +0000

bip (0.8.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick a few patches from upstream in order to get it built against
    OpenSSL 1.1 (Closes: #851093).
  * Remove Arnaud Cornet <acornet@debian.org> from Uploaders. Thank you for
    all your work (Closes: #876953).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 22 Jan 2018 23:28:55 +0100

bip (0.8.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Pierre-Louis Bonicoli ]
  * Fix lintian duplicate-long-description
  * Fix lintian vcs-field-not-canonical

  [ Jordi Mallach ]
  * Build-Depend on libssl1.0-dev, as bip does not build with OpenSSL 1.1
    (closes: #828247).
  * Enable hardening options.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 Nov 2016 19:08:24 +0100

bip (0.8.9-1) unstable; urgency=low

  * New upstream release (Closes: #710614):
    - removed 'CVE-2012-0806.patch' included upstream.
  * Added missing build dependency on autoconf-archive.
  * Don't build with Werror (override upstream's default).
  * Use autoreconf et autotools files to update buildsys files.
  * Do not restart on upgrade anymore: let the admin check the config
    and break connections only when fully ready.
  * Updated upstream URL and watch file.
  * Added VCS information (Closes: #678290).
  * Created a debug package and bump the compat level to 9 (useful
    improvements for the symbols file).
  * Updated copyright file to record the current maintainer.
  * Bumped Standards-Version to 3.8.4.0 (no changes).
  * Added myself as uploader.
  * debian/dirs was meant for the pre-dbg package, renamed.
  * Reworked init script (exit codes, messages, leftover pidfile,
    cleanup).
  * Don't load '/etc/default/rcS' directly in init script, use
    '/lib/init/vars.sh' to ensure proper default values.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 22 Oct 2013 19:04:56 +0200

=== debian/control ===
Source: bip
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), bison, flex, libssl-dev,
 autoconf-archive, dh-autoreconf, autotools-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/bip.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bip.git/
Homepage: http://bip.milkypond.org/

Package: bip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
Description: multiuser irc proxy with conversation replay and more
 Bip is a IRC proxy that supports replaying logged conversation when a client
 connects, multiple clients on one irc server connection, It has a handy
 logging directory structure. It is multiuser, and has a flexible
 configuration. Some of its configuration can be changed at runtime with
 special irc commands.

Package: bip-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, bip (= ${binary:Version})
Description: multiuser irc proxy with conversation replay and more (debugging symbols)
 Bip is a IRC proxy that supports replaying logged conversation when a client
 connects, multiple clients on one irc server connection, It has a handy
 logging directory structure. It is multiuser, and has a flexible
 configuration. Some of its configuration can be changed at runtime with
 special irc commands.
 .
 This package contains the debugging symbols. Most people will not need this
 packages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_PREPEND = -Wno-error
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	echo dh $@
	dh $@ --with autoreconf --with autotools_dev

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --no-start

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-oidentd

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=bip-dbg

=== debian/watch ===
version=3
https://projects.duckcorp.org/projects/bip/files .*bip-([0-9]+\.[0-9]+\.[0-9]+).tar.gz

## bip 0.9.0~rc3

=== debian/changelog ===
bip (0.9.0~rc3-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * New release candidate:
    + move conffile into /etc/bip/
  * Switch to compat level 11.
  * Transition to automatic debug packages.
  * Use HTTPS in package metadata.
  * Package now conforms to Standards-Version 4.1.3.
  * Use modern way to disable service at install time.
  * Use dh_installinit --no-stop-on-upgrade instead of the deprecated
    --no-restart-on-upgrade.
  * Convert copyright file into machine-readable format.
  * Upgrade watch file to version 4 and fix catching RC releases.

  [ Pierre-Louis Bonicoli ]
  * Migrate to OpenSSL1.1

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 02 Apr 2018 09:32:22 +0900

=== debian/control ===
Source: bip
Section: net
Priority: optional
Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11~), bison, flex, libssl-dev,
 autoconf-archive
Vcs-Git: git://anonscm.debian.org/collab-maint/bip.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bip.git/
Homepage: https://bip.milkypond.org/

Package: bip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
Description: multiuser irc proxy with conversation replay and more
 Bip is a IRC proxy that supports replaying logged conversation when a client
 connects, multiple clients on one irc server connection, It has a handy
 logging directory structure. It is multiuser, and has a flexible
 configuration. Some of its configuration can be changed at runtime with
 special irc commands.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_PREPEND = -Wno-error
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	echo dh $@
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-oidentd

override_dh_installinit:
	dh_installinit --no-start --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration='bip-dbg (<< 0.9.0~rc2-1~)'

## bip 0.9.0~rc4

=== debian/changelog ===
bip (0.9.0~rc4-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Updated VCS URLs (Alioth->Salsa).

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Marc Dequènes (Duck) ]
  * NUR:
    - add pkg-config to Build-Depends
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Set Rules-Requires-Root to 'no'.
  * Use maintscript instead of manual dpkg-maintscript-helper calls.
  * Fix incorrect-path-for-interpreter lintian warning for bipgenconfig.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Nov 2020 19:54:09 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11~), bison, flex, libssl-dev,
- autoconf-archive
-Vcs-Git: git://anonscm.debian.org/collab-maint/bip.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bip.git/
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               bison,
+               flex,
+               libssl-dev,
+               autoconf-archive,
+               pkg-config
+Vcs-Browser: https://salsa.debian.org/debian/bip
+Vcs-Git: https://salsa.debian.org/debian/bip.git
 Homepage: https://bip.milkypond.org/
+Rules-Requires-Root: no
 
 Package: bip
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-oidentd
 
+execute_after_dh_install:
+	sed -i 's/^#!\/usr\/bin\/env perl/#!\/usr\/bin\/perl/' debian/bip/usr/bin/bipgenconfig
+
 override_dh_installinit:
 	dh_installinit --no-start --no-stop-on-upgrade

## bip 0.9.3

=== debian/changelog ===
bip (0.9.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096374)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 17:24:37 +0300

bip (0.9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073686)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 16:25:12 +0200

bip (0.9.3-1) unstable; urgency=medium

  [ Pierre-Louis Bonicoli ]
  * New upstream release
  * Update copyright file

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 22 Mar 2022 01:19:31 +0900

bip (0.9.2-1) unstable; urgency=medium

  [ Pierre-Louis Bonicoli ]
  * New upstream release

  [ Marc Dequènes (Duck) ]
  * Add Salsa CI config

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 14 Oct 2021 02:36:35 +0900

bip (0.9.1-1) unstable; urgency=medium

  [ Pierre-Louis Bonicoli ]
  * New upstream release
  * postrm:purge: clean PIDIR (picked from #732444, thanks DNS <debian@88it.de>)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Drop transition for old debug package migration.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + bip: Drop versioned constraint on lsb-base in Depends.
    + Remove 1 maintscript entries from 1 files.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 11 Oct 2021 16:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: bip
 Section: net
 Priority: optional
-Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>
+Maintainer: Pierre-Louis Bonicoli <pierre-louis.bonicoli@libregerbil.fr>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
@@ -17,11 +17,10 @@
 
 Package: bip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base
 Description: multiuser irc proxy with conversation replay and more
  Bip is a IRC proxy that supports replaying logged conversation when a client
  connects, multiple clients on one irc server connection, It has a handy
  logging directory structure. It is multiuser, and has a flexible
  configuration. Some of its configuration can be changed at runtime with
  special irc commands.
-

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,3 @@
 
 override_dh_installinit:
 	dh_installinit --no-start --no-stop-on-upgrade
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='bip-dbg (<< 0.9.0~rc2-1~)'
-

=== debian/watch ===
version=4
opts="versionmangle=s/-rc\.?/~rc/" \
https://projects.duckcorp.org/projects/bip/files .*@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## bip utils-2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 coincurve>=15.0.1,<16.0.0
 crcmod~=1.7
-ecdsa~=0.14
+ecdsa~=0.15
 ed25519-blake2b~=1.4
 pycryptodome~=3.6
 pynacl~=1.1

## bip utils-2.2.1

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-coincurve>=15.0.1,<16.0.0
+coincurve>=15.0.1,<17.0.0
 crcmod~=1.7
 ecdsa~=0.15
 ed25519-blake2b~=1.4

## bip utils-2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-coincurve>=15.0.1,<17.0.0
+coincurve>=15.0.1,<18.0.0
 crcmod~=1.7
 ecdsa~=0.15
 ed25519-blake2b~=1.4

## bip utils-2.5.1

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 pycryptodome~=3.6
 pynacl~=1.1
 py-sr25519-bindings>=0.1.3,<2.0.0
-scalecodec~=1.0
 six>=1.12.0

## bip utils-2.6.0

=== requirements.txt ===
cbor2~=5.1
coincurve>=15.0.1,<18.0.0
crcmod~=1.7
ecdsa~=0.15
ed25519-blake2b~=1.4
pycryptodome~=3.6
pynacl~=1.4
py-sr25519-bindings>=0.1.3,<2.0.0
